import 'package:json_annotation/json_annotation.dart';

part 'session_id.g.dart';


@JsonSerializable(explicitToJson: true)
class SessionID {
  final String clientId;
  final String deviceId;

  const SessionID({
    required this.clientId,
    required this.deviceId,
  });

  factory SessionID.fromJson(Map<String, dynamic> json) => _$SessionIDFromJson(json);
  Map<String, dynamic> toJson() => _$SessionIDToJson(this);
}
